/**
 * Copyright (c) HashiCorp, Inc.
 * SPDX-License-Identifier: MPL-2.0
 */
import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ContactCenterInsightsAnalysisRuleConfig extends cdktf.TerraformMetaArguments {
    /**
    * If true, apply this rule to conversations. Otherwise, this rule is
    * inactive and saved as a draft.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#active ContactCenterInsightsAnalysisRule#active}
    */
    readonly active?: boolean | cdktf.IResolvable;
    /**
    * Percentage of conversations that we should apply this analysis setting
    * automatically, between [0, 1]. For example, 0.1 means 10%. Conversations
    * are sampled in a determenestic way. The original runtime_percentage &
    * upload percentage will be replaced by defining filters on the conversation.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#analysis_percentage ContactCenterInsightsAnalysisRule#analysis_percentage}
    */
    readonly analysisPercentage?: number;
    /**
    * Filter for the conversations that should apply this analysis
    * rule. An empty filter means this analysis rule applies to all
    * conversations.
    * Refer to https://cloud.google.com/contact-center/insights/docs/filtering
    * for details.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#conversation_filter ContactCenterInsightsAnalysisRule#conversation_filter}
    */
    readonly conversationFilter?: string;
    /**
    * Display Name of the analysis rule.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#display_name ContactCenterInsightsAnalysisRule#display_name}
    */
    readonly displayName?: string;
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#id ContactCenterInsightsAnalysisRule#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * Location of the resource.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#location ContactCenterInsightsAnalysisRule#location}
    */
    readonly location: string;
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#project ContactCenterInsightsAnalysisRule#project}
    */
    readonly project?: string;
    /**
    * annotator_selector block
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#annotator_selector ContactCenterInsightsAnalysisRule#annotator_selector}
    */
    readonly annotatorSelector?: ContactCenterInsightsAnalysisRuleAnnotatorSelector;
    /**
    * timeouts block
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#timeouts ContactCenterInsightsAnalysisRule#timeouts}
    */
    readonly timeouts?: ContactCenterInsightsAnalysisRuleTimeouts;
}
export interface ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigScorecardListStruct {
    /**
    * List of QaScorecardRevisions.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#qa_scorecard_revisions ContactCenterInsightsAnalysisRule#qa_scorecard_revisions}
    */
    readonly qaScorecardRevisions?: string[];
}
export declare function contactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigScorecardListStructToTerraform(struct?: ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigScorecardListStructOutputReference | ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigScorecardListStruct): any;
export declare function contactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigScorecardListStructToHclTerraform(struct?: ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigScorecardListStructOutputReference | ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigScorecardListStruct): any;
export declare class ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigScorecardListStructOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigScorecardListStruct | undefined;
    set internalValue(value: ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigScorecardListStruct | undefined);
    private _qaScorecardRevisions?;
    get qaScorecardRevisions(): string[];
    set qaScorecardRevisions(value: string[]);
    resetQaScorecardRevisions(): void;
    get qaScorecardRevisionsInput(): string[] | undefined;
}
export interface ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfig {
    /**
    * scorecard_list block
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#scorecard_list ContactCenterInsightsAnalysisRule#scorecard_list}
    */
    readonly scorecardList?: ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigScorecardListStruct;
}
export declare function contactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigToTerraform(struct?: ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigOutputReference | ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfig): any;
export declare function contactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigToHclTerraform(struct?: ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigOutputReference | ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfig): any;
export declare class ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfig | undefined;
    set internalValue(value: ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfig | undefined);
    private _scorecardList;
    get scorecardList(): ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigScorecardListStructOutputReference;
    putScorecardList(value: ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigScorecardListStruct): void;
    resetScorecardList(): void;
    get scorecardListInput(): ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigScorecardListStruct | undefined;
}
export interface ContactCenterInsightsAnalysisRuleAnnotatorSelectorSummarizationConfig {
    /**
    * Resource name of the Dialogflow conversation profile.
    * Format:
    * projects/{project}/locations/{location}/conversationProfiles/{conversation_profile}
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#conversation_profile ContactCenterInsightsAnalysisRule#conversation_profile}
    */
    readonly conversationProfile?: string;
    /**
    * Default summarization model to be used.
    * Possible values:
    * SUMMARIZATION_MODEL_UNSPECIFIED
    * BASELINE_MODEL
    * BASELINE_MODEL_V2_0 Possible values: ["BASELINE_MODEL", "BASELINE_MODEL_V2_0"]
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#summarization_model ContactCenterInsightsAnalysisRule#summarization_model}
    */
    readonly summarizationModel?: string;
}
export declare function contactCenterInsightsAnalysisRuleAnnotatorSelectorSummarizationConfigToTerraform(struct?: ContactCenterInsightsAnalysisRuleAnnotatorSelectorSummarizationConfigOutputReference | ContactCenterInsightsAnalysisRuleAnnotatorSelectorSummarizationConfig): any;
export declare function contactCenterInsightsAnalysisRuleAnnotatorSelectorSummarizationConfigToHclTerraform(struct?: ContactCenterInsightsAnalysisRuleAnnotatorSelectorSummarizationConfigOutputReference | ContactCenterInsightsAnalysisRuleAnnotatorSelectorSummarizationConfig): any;
export declare class ContactCenterInsightsAnalysisRuleAnnotatorSelectorSummarizationConfigOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): ContactCenterInsightsAnalysisRuleAnnotatorSelectorSummarizationConfig | undefined;
    set internalValue(value: ContactCenterInsightsAnalysisRuleAnnotatorSelectorSummarizationConfig | undefined);
    private _conversationProfile?;
    get conversationProfile(): string;
    set conversationProfile(value: string);
    resetConversationProfile(): void;
    get conversationProfileInput(): string | undefined;
    private _summarizationModel?;
    get summarizationModel(): string;
    set summarizationModel(value: string);
    resetSummarizationModel(): void;
    get summarizationModelInput(): string | undefined;
}
export interface ContactCenterInsightsAnalysisRuleAnnotatorSelector {
    /**
    * The issue model to run. If not provided, the most recently deployed topic
    * model will be used. The provided issue model will only be used for
    * inference if the issue model is deployed and if run_issue_model_annotator
    * is set to true. If more than one issue model is provided, only the first
    * provided issue model will be used for inference.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#issue_models ContactCenterInsightsAnalysisRule#issue_models}
    */
    readonly issueModels?: string[];
    /**
    * The list of phrase matchers to run. If not provided, all active phrase
    * matchers will be used. If inactive phrase matchers are provided, they will
    * not be used. Phrase matchers will be run only if
    * run_phrase_matcher_annotator is set to true. Format:
    * projects/{project}/locations/{location}/phraseMatchers/{phrase_matcher}
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#phrase_matchers ContactCenterInsightsAnalysisRule#phrase_matchers}
    */
    readonly phraseMatchers?: string[];
    /**
    * Whether to run the entity annotator.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#run_entity_annotator ContactCenterInsightsAnalysisRule#run_entity_annotator}
    */
    readonly runEntityAnnotator?: boolean | cdktf.IResolvable;
    /**
    * Whether to run the intent annotator.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#run_intent_annotator ContactCenterInsightsAnalysisRule#run_intent_annotator}
    */
    readonly runIntentAnnotator?: boolean | cdktf.IResolvable;
    /**
    * Whether to run the interruption annotator.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#run_interruption_annotator ContactCenterInsightsAnalysisRule#run_interruption_annotator}
    */
    readonly runInterruptionAnnotator?: boolean | cdktf.IResolvable;
    /**
    * Whether to run the issue model annotator. A model should have already been
    * deployed for this to take effect.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#run_issue_model_annotator ContactCenterInsightsAnalysisRule#run_issue_model_annotator}
    */
    readonly runIssueModelAnnotator?: boolean | cdktf.IResolvable;
    /**
    * Whether to run the active phrase matcher annotator(s).
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#run_phrase_matcher_annotator ContactCenterInsightsAnalysisRule#run_phrase_matcher_annotator}
    */
    readonly runPhraseMatcherAnnotator?: boolean | cdktf.IResolvable;
    /**
    * Whether to run the QA annotator.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#run_qa_annotator ContactCenterInsightsAnalysisRule#run_qa_annotator}
    */
    readonly runQaAnnotator?: boolean | cdktf.IResolvable;
    /**
    * Whether to run the sentiment annotator.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#run_sentiment_annotator ContactCenterInsightsAnalysisRule#run_sentiment_annotator}
    */
    readonly runSentimentAnnotator?: boolean | cdktf.IResolvable;
    /**
    * Whether to run the silence annotator.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#run_silence_annotator ContactCenterInsightsAnalysisRule#run_silence_annotator}
    */
    readonly runSilenceAnnotator?: boolean | cdktf.IResolvable;
    /**
    * Whether to run the summarization annotator.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#run_summarization_annotator ContactCenterInsightsAnalysisRule#run_summarization_annotator}
    */
    readonly runSummarizationAnnotator?: boolean | cdktf.IResolvable;
    /**
    * qa_config block
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#qa_config ContactCenterInsightsAnalysisRule#qa_config}
    */
    readonly qaConfig?: ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfig;
    /**
    * summarization_config block
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#summarization_config ContactCenterInsightsAnalysisRule#summarization_config}
    */
    readonly summarizationConfig?: ContactCenterInsightsAnalysisRuleAnnotatorSelectorSummarizationConfig;
}
export declare function contactCenterInsightsAnalysisRuleAnnotatorSelectorToTerraform(struct?: ContactCenterInsightsAnalysisRuleAnnotatorSelectorOutputReference | ContactCenterInsightsAnalysisRuleAnnotatorSelector): any;
export declare function contactCenterInsightsAnalysisRuleAnnotatorSelectorToHclTerraform(struct?: ContactCenterInsightsAnalysisRuleAnnotatorSelectorOutputReference | ContactCenterInsightsAnalysisRuleAnnotatorSelector): any;
export declare class ContactCenterInsightsAnalysisRuleAnnotatorSelectorOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): ContactCenterInsightsAnalysisRuleAnnotatorSelector | undefined;
    set internalValue(value: ContactCenterInsightsAnalysisRuleAnnotatorSelector | undefined);
    private _issueModels?;
    get issueModels(): string[];
    set issueModels(value: string[]);
    resetIssueModels(): void;
    get issueModelsInput(): string[] | undefined;
    private _phraseMatchers?;
    get phraseMatchers(): string[];
    set phraseMatchers(value: string[]);
    resetPhraseMatchers(): void;
    get phraseMatchersInput(): string[] | undefined;
    private _runEntityAnnotator?;
    get runEntityAnnotator(): boolean | cdktf.IResolvable;
    set runEntityAnnotator(value: boolean | cdktf.IResolvable);
    resetRunEntityAnnotator(): void;
    get runEntityAnnotatorInput(): boolean | cdktf.IResolvable | undefined;
    private _runIntentAnnotator?;
    get runIntentAnnotator(): boolean | cdktf.IResolvable;
    set runIntentAnnotator(value: boolean | cdktf.IResolvable);
    resetRunIntentAnnotator(): void;
    get runIntentAnnotatorInput(): boolean | cdktf.IResolvable | undefined;
    private _runInterruptionAnnotator?;
    get runInterruptionAnnotator(): boolean | cdktf.IResolvable;
    set runInterruptionAnnotator(value: boolean | cdktf.IResolvable);
    resetRunInterruptionAnnotator(): void;
    get runInterruptionAnnotatorInput(): boolean | cdktf.IResolvable | undefined;
    private _runIssueModelAnnotator?;
    get runIssueModelAnnotator(): boolean | cdktf.IResolvable;
    set runIssueModelAnnotator(value: boolean | cdktf.IResolvable);
    resetRunIssueModelAnnotator(): void;
    get runIssueModelAnnotatorInput(): boolean | cdktf.IResolvable | undefined;
    private _runPhraseMatcherAnnotator?;
    get runPhraseMatcherAnnotator(): boolean | cdktf.IResolvable;
    set runPhraseMatcherAnnotator(value: boolean | cdktf.IResolvable);
    resetRunPhraseMatcherAnnotator(): void;
    get runPhraseMatcherAnnotatorInput(): boolean | cdktf.IResolvable | undefined;
    private _runQaAnnotator?;
    get runQaAnnotator(): boolean | cdktf.IResolvable;
    set runQaAnnotator(value: boolean | cdktf.IResolvable);
    resetRunQaAnnotator(): void;
    get runQaAnnotatorInput(): boolean | cdktf.IResolvable | undefined;
    private _runSentimentAnnotator?;
    get runSentimentAnnotator(): boolean | cdktf.IResolvable;
    set runSentimentAnnotator(value: boolean | cdktf.IResolvable);
    resetRunSentimentAnnotator(): void;
    get runSentimentAnnotatorInput(): boolean | cdktf.IResolvable | undefined;
    private _runSilenceAnnotator?;
    get runSilenceAnnotator(): boolean | cdktf.IResolvable;
    set runSilenceAnnotator(value: boolean | cdktf.IResolvable);
    resetRunSilenceAnnotator(): void;
    get runSilenceAnnotatorInput(): boolean | cdktf.IResolvable | undefined;
    private _runSummarizationAnnotator?;
    get runSummarizationAnnotator(): boolean | cdktf.IResolvable;
    set runSummarizationAnnotator(value: boolean | cdktf.IResolvable);
    resetRunSummarizationAnnotator(): void;
    get runSummarizationAnnotatorInput(): boolean | cdktf.IResolvable | undefined;
    private _qaConfig;
    get qaConfig(): ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfigOutputReference;
    putQaConfig(value: ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfig): void;
    resetQaConfig(): void;
    get qaConfigInput(): ContactCenterInsightsAnalysisRuleAnnotatorSelectorQaConfig | undefined;
    private _summarizationConfig;
    get summarizationConfig(): ContactCenterInsightsAnalysisRuleAnnotatorSelectorSummarizationConfigOutputReference;
    putSummarizationConfig(value: ContactCenterInsightsAnalysisRuleAnnotatorSelectorSummarizationConfig): void;
    resetSummarizationConfig(): void;
    get summarizationConfigInput(): ContactCenterInsightsAnalysisRuleAnnotatorSelectorSummarizationConfig | undefined;
}
export interface ContactCenterInsightsAnalysisRuleTimeouts {
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#create ContactCenterInsightsAnalysisRule#create}
    */
    readonly create?: string;
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#delete ContactCenterInsightsAnalysisRule#delete}
    */
    readonly delete?: string;
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#update ContactCenterInsightsAnalysisRule#update}
    */
    readonly update?: string;
}
export declare function contactCenterInsightsAnalysisRuleTimeoutsToTerraform(struct?: ContactCenterInsightsAnalysisRuleTimeouts | cdktf.IResolvable): any;
export declare function contactCenterInsightsAnalysisRuleTimeoutsToHclTerraform(struct?: ContactCenterInsightsAnalysisRuleTimeouts | cdktf.IResolvable): any;
export declare class ContactCenterInsightsAnalysisRuleTimeoutsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    private resolvableValue?;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): ContactCenterInsightsAnalysisRuleTimeouts | cdktf.IResolvable | undefined;
    set internalValue(value: ContactCenterInsightsAnalysisRuleTimeouts | cdktf.IResolvable | undefined);
    private _create?;
    get create(): string;
    set create(value: string);
    resetCreate(): void;
    get createInput(): string | undefined;
    private _delete?;
    get delete(): string;
    set delete(value: string);
    resetDelete(): void;
    get deleteInput(): string | undefined;
    private _update?;
    get update(): string;
    set update(value: string);
    resetUpdate(): void;
    get updateInput(): string | undefined;
}
/**
* Represents a {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule google_contact_center_insights_analysis_rule}
*/
export declare class ContactCenterInsightsAnalysisRule extends cdktf.TerraformResource {
    static readonly tfResourceType = "google_contact_center_insights_analysis_rule";
    /**
    * Generates CDKTF code for importing a ContactCenterInsightsAnalysisRule resource upon running "cdktf plan <stack-name>"
    * @param scope The scope in which to define this construct
    * @param importToId The construct id used in the generated config for the ContactCenterInsightsAnalysisRule to import
    * @param importFromId The id of the existing ContactCenterInsightsAnalysisRule that should be imported. Refer to the {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule#import import section} in the documentation of this resource for the id to use
    * @param provider? Optional instance of the provider where the ContactCenterInsightsAnalysisRule to import is found
    */
    static generateConfigForImport(scope: Construct, importToId: string, importFromId: string, provider?: cdktf.TerraformProvider): cdktf.ImportableResource;
    /**
    * Create a new {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/contact_center_insights_analysis_rule google_contact_center_insights_analysis_rule} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options ContactCenterInsightsAnalysisRuleConfig
    */
    constructor(scope: Construct, id: string, config: ContactCenterInsightsAnalysisRuleConfig);
    private _active?;
    get active(): boolean | cdktf.IResolvable;
    set active(value: boolean | cdktf.IResolvable);
    resetActive(): void;
    get activeInput(): boolean | cdktf.IResolvable | undefined;
    private _analysisPercentage?;
    get analysisPercentage(): number;
    set analysisPercentage(value: number);
    resetAnalysisPercentage(): void;
    get analysisPercentageInput(): number | undefined;
    private _conversationFilter?;
    get conversationFilter(): string;
    set conversationFilter(value: string);
    resetConversationFilter(): void;
    get conversationFilterInput(): string | undefined;
    get createTime(): string;
    private _displayName?;
    get displayName(): string;
    set displayName(value: string);
    resetDisplayName(): void;
    get displayNameInput(): string | undefined;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    private _location?;
    get location(): string;
    set location(value: string);
    get locationInput(): string | undefined;
    get name(): string;
    private _project?;
    get project(): string;
    set project(value: string);
    resetProject(): void;
    get projectInput(): string | undefined;
    get updateTime(): string;
    private _annotatorSelector;
    get annotatorSelector(): ContactCenterInsightsAnalysisRuleAnnotatorSelectorOutputReference;
    putAnnotatorSelector(value: ContactCenterInsightsAnalysisRuleAnnotatorSelector): void;
    resetAnnotatorSelector(): void;
    get annotatorSelectorInput(): ContactCenterInsightsAnalysisRuleAnnotatorSelector | undefined;
    private _timeouts;
    get timeouts(): ContactCenterInsightsAnalysisRuleTimeoutsOutputReference;
    putTimeouts(value: ContactCenterInsightsAnalysisRuleTimeouts): void;
    resetTimeouts(): void;
    get timeoutsInput(): cdktf.IResolvable | ContactCenterInsightsAnalysisRuleTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
    protected synthesizeHclAttributes(): {
        [name: string]: any;
    };
}
